export namespace Gitlab {
  export interface Error {
    message: string
  }
  export interface User {
    id: number
    username: string
    name: string
    state: string
    avatar_url: string
    web_url: string
  }

  export interface ProjDetail {
    id: number
    description: string
    name: string
    path_with_namespace: string
    web_url: string
    avatar_url?: any
    message?: string
  }

  export interface PipelineDetail {
    id: number
    project_id: number
    ref: string
    status: string
    web_url: "https://git.n.xiaomi.com/miai-fe/fe/ai-scene-review-fe/-/pipelines/7646046"
    user: User
    started_at: string
    finished_at: string
    duration: number
    queued_duration: number
    message?: string
  }

  export interface Pipeline {
    id: number
    project_id: number
    sha: string
    ref: string
    status: string
    source: string
    created_at: string
    updated_at: string
    web_url: string
  }

  export interface Badge {
    id: number
    name: string
    link_url: string
    image_url: string
    rendered_link_url: string
    rendered_image_url: string
    kind: "project" | "group"
  }
}
